Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# pixel_reference_is_proxy Struct Template Reference
[Type Analysis Metafunctions]

`#include <metafunctions.hpp>`

## Detailed Description

### template<typename PixelReference>
struct boost::gil::pixel_reference_is_proxy< PixelReference >

Determines whether the given pixel reference is a proxy class or a native C++ reference.

The documentation for this struct was generated from the following file:

- metafunctions.hpp